Robotics Service Bus - Bug #642
Origin filter seems to do nothing
10/18/2011 03:44 AM - J. Moringen

Status: Resolved Start date: 10/18/2011
Priority: Normal Due date: 10/18/2011
Assignee: J. Moringen % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: 0.5

Description

Associated revisions

Revision b1172b45 - 10/20/2011 04:00 AM - J. Moringen
Fixed incorrect matching in SingleThreadEventReceivingStrategy
fixes #642
- src/rsb/eventprocessing/SingleThreadEventReceivingStrategy.java: if
a filter does not match, continue in the outer loop instead of

applying the next filter

History

#1 - 10/20/2011 03:58 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

- % Done changed from 0 to 50

OriginFilter did work correctly. SingleThreadEventReceivingStrategy was the culprit.

At Johannes: continue and break affect the innermost loop. Named loops have to be used to affect outer loops.

#2 - 10/20/2011 04:00 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset r2907.

#3 - 10/20/2011 07:32 AM - J. Wienke

Actually this wasn't code i wrote. no idea why i am in the author tag. probably an eclipse automated comment. ;-)
